%define upstream_name	 POE-Component-IRC
%define upstream_version 6.81

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A fully event-driven IRC client module
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(IRC::Utils) >= 0.120.0
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(POE) >= 1.311.0
BuildRequires: perl(POE::Component::Syndicator)
BuildRequires: perl(POE::Driver::SysRW)
BuildRequires: perl(POE::Filter::IRCD) >= 2.420.0
BuildRequires: perl(POE::Filter::Line)
BuildRequires: perl(POE::Filter::Stackable)
BuildRequires: perl(POE::Filter::Stream)
BuildRequires: perl(POE::Session)
BuildRequires: perl(POE::Wheel::ReadWrite)
BuildRequires: perl(POE::Wheel::SocketFactory)
BuildRequires: perl(Test::Differences) >= 0.610.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
POE::Component::IRC is a POE (Perl Object Environment) component
which provides a convenient way for POE applications to create a tiny
IRC client session and send and receive IRC events through it. If that
first sentence was a bit too much, go read the POE documentation over
and over until it makes some sense.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 README Changes
find lib -name \*.pm | xargs chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/POE
%_mandir/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 6.810.0-2.mga3
+ Revision: 371237
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 6.810.0-1.mga3
+ Revision: 342475
- update to 6.81

* Wed Sep 26 2012 jquelin <jquelin> 6.800.0-1.mga3
+ Revision: 298082
- update to 6.80

* Fri Dec 09 2011 kharec <kharec> 6.780.0-1.mga2
+ Revision: 179419
- update to 6.78

* Sun Dec 04 2011 kharec <kharec> 6.770.0-1.mga2
+ Revision: 175951
- update to 6.77

* Thu Dec 01 2011 kharec <kharec> 6.760.0-1.mga2
+ Revision: 174796
- update to 6.76

* Mon Nov 14 2011 jquelin <jquelin> 6.750.0-1.mga2
+ Revision: 167662
- update to 6.75

* Thu Oct 13 2011 jquelin <jquelin> 6.740.0-1.mga2
+ Revision: 154439
- update to 6.74

* Mon Sep 26 2011 jquelin <jquelin> 6.710.0-1.mga2
+ Revision: 148204
- update to 6.71
- update to 6.70

* Wed Jun 15 2011 jquelin <jquelin> 6.680.0-1.mga2
+ Revision: 107875
- update to 6.68

* Tue Apr 19 2011 jquelin <jquelin> 6.600.0-1.mga1
+ Revision: 88562
- update to 6.60

* Thu Apr 07 2011 jquelin <jquelin> 6.590.0-1.mga1
+ Revision: 81798
- update to 6.59

* Sun Apr 03 2011 jquelin <jquelin> 6.570.0-1.mga1
+ Revision: 80077
- update to 6.57

* Sun Mar 13 2011 jquelin <jquelin> 6.540.0-1.mga1
+ Revision: 70512
- update to 6.54

* Mon Jan 24 2011 jquelin <jquelin> 6.520.0-1.mga1
+ Revision: 37134
- mageia rebuild
- imported package perl-POE-Component-IRC

